{% raw %}
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: github-auth-template
spec:
  dataFrom:
  - sourceRef:
      generatorRef:
        apiVersion: generators.external-secrets.io/v1alpha1
        kind: GithubAccessToken
        name: github-auth-token
  refreshInterval: "15m"
  target:
    template:
      metadata:
        annotations:
          tekton.dev/git-0: "https://github.com"
      type: kubernetes.io/basic-auth
      engineVersion: v2
      data:
        username: "token"
        password: "{{ .token }}"
    name: github-auth-template

{% endraw %}
